Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.dom
Class AttrNSImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.AttrImpl
                  |
                  +--weblogic.apache.xerces.dom.AttrNSImpl

Direct Known Subclasses:
  DeferredAttrNSImpl, PSVIAttrNSImpl

public class AttrNSImpl
extends AttrImpl

AttrNSImpl inherits from AttrImpl and adds namespace support.

The qualified name is the node name, and we store localName which is also used in all queries. On the other hand we recompute the prefix when necessary.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `localName` DOM2: localName.
`protected java.lang.String` | `namespaceURI` DOM2: Namespace URI.

Fields inherited from class weblogic.apache.xerces.dom.AttrImpl
`name, textNode, value`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Constructor Summary
`` | `AttrNSImpl()`
`protected` | `AttrNSImpl(CoreDocumentImpl ownerDocument, java.lang.String value)`
`protected` | `AttrNSImpl(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName)` DOM2: Constructor for Namespace implementation.
`` | `AttrNSImpl(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String localName)`

Method Summary
`java.lang.String` | `getLocalName()` Introduced in DOM Level 2.
`java.lang.String` | `getNamespaceURI()` Introduced in DOM Level 2.
`java.lang.String` | `getPrefix()` Introduced in DOM Level 2.
`void` | `setPrefix(java.lang.String prefix)` Introduced in DOM Level 2.
`void` | `setValues(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String localName)` NON-DOM: resets this node and sets specified values for the node

Methods inherited from class weblogic.apache.xerces.dom.AttrImpl
`cloneNode, getChildNodes, getElement, getFirstChild, getLastChild, getLength, getName, getNodeName, getNodeType, getNodeValue, getOwnerElement, getSpecified, getValue, hasChildNodes, insertBefore, isEqualNode, item, makeChildNode, normalize, removeChild, replaceChild, setIdAttribute, setNodeValue, setReadOnly, setSpecified, setValue, synchronizeChildren, toString`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getInterface, getNextSibling, getOwnerDocument, getParentNode, getPreviousSibling, getReadOnly, getTextContent, getUserData, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setTextContent, setUserData, setUserData, synchronizeData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### namespaceURI

    protected java.lang.String namespaceURI

  DOM2: Namespace URI.

### localName

    protected java.lang.String localName

  DOM2: localName.

Constructor Detail

### AttrNSImpl

    public AttrNSImpl()

### AttrNSImpl

    protected AttrNSImpl(CoreDocumentImpl ownerDocument,
                         java.lang.String namespaceURI,
                         java.lang.String qualifiedName)

  DOM2: Constructor for Namespace implementation.

### AttrNSImpl

    public AttrNSImpl(CoreDocumentImpl ownerDocument,
                      java.lang.String namespaceURI,
                      java.lang.String qualifiedName,
                      java.lang.String localName)

### AttrNSImpl

    protected AttrNSImpl(CoreDocumentImpl ownerDocument,
                         java.lang.String value)

Method Detail

### setValues

    public void setValues(CoreDocumentImpl ownerDocument,
                          java.lang.String namespaceURI,
                          java.lang.String qualifiedName,
                          java.lang.String localName)

  NON-DOM: resets this node and sets specified values for the node

  Parameters:
    `ownerDocument` -
    `namespaceURI` -
    `qualifiedName` -
    `localName` -

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Introduced in DOM Level 2.

  The namespace URI of this node, or null if it is unspecified.

  This is not a computed value that is the result of a namespace lookup based on an examination of the namespace declarations in scope. It is merely the namespace URI given at creation time.

  For nodes created with a DOM Level 1 method, such as createElement from the Document interface, this is null.

  Overrides:
    getNamespaceURI in class NodeImpl

### getPrefix

    public java.lang.String getPrefix()

  Introduced in DOM Level 2.

  The namespace prefix of this node, or null if it is unspecified.

  For nodes created with a DOM Level 1 method, such as createElement from the Document interface, this is null.

  Overrides:
    getPrefix in class NodeImpl

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws org.w3c.dom.DOMException

  Introduced in DOM Level 2.

  Note that setting this attribute changes the nodeName attribute, which holds the qualified name, as well as the tagName and name attributes of the Element and Attr interfaces, when applicable.

  Parameters:
    `prefix` - The namespace prefix of this node, or null(empty string) if it is unspecified.
  Throws:
    INVALID_CHARACTER_ERR - Raised if the specified prefix contains an invalid character.
    org.w3c.dom.DOMException -
  Overrides:
    setPrefix in class NodeImpl

### getLocalName

    public java.lang.String getLocalName()

  Introduced in DOM Level 2.

  Returns the local part of the qualified name of this node.

  Overrides:
    getLocalName in class NodeImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD